## netevent-2.2.2.tar.gz

=== Makefile ===
-include ./config.mak
-include ./local-env.mak

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
DATAROOTDIR = $(PREFIX)/share
MANDIR = $(DATAROOTDIR)/man
MAN1DIR = $(MANDIR)/man1

SOURCEDIR ?= .

CPPFLAGS ?= -g
CPPFLAGS += -Wall -Werror -Wno-unknown-pragmas
CXX ?= clang++
# Code should compile with c++11 as well, but c++14 may have stricter
# attributes on some methods.
CXXFLAGS += -std=c++14

ifeq ($(CXX), clang++)
CPPFLAGS += -Weverything \
            -Wno-c++98-compat \
            -Wno-c++98-compat-pedantic \
            -Wno-padded \
            -Wno-packed
endif

LDFLAGS ?= -g

SANITIZE_FLAGS ?=

CPPFLAGS += $(SANITIZE_FLAGS)
LDFLAGS += $(SANITIZE_FLAGS)

BINARY := netevent
OBJECTS := src/main.o \
           src/daemon.o \
           src/writer.o \
           src/reader.o \
           src/socket.o \
           src/bitfield.o

MAN1PAGES-y := doc/netevent.1

MAN1PAGES := $(MAN1PAGES-$(ENABLE_DOC))

all: $(BINARY) $(MAN1PAGES)

config.h:
	./configure

Makefile: $(SOURCEDIR)/Makefile
	cp $< $@
	+$(MAKE) $(MAKECMDGOALS)

$(BINARY): $(OBJECTS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS)

.cpp.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -I. -c -o $@ $< -MMD -MT $@ -MF $(@:.o=.d)

.SUFFIXES: .1 .rst
.rst.1:
	$(RST2MAN) $< $@

.PHONY: install
install: # Make sure we use config.mak, nest once:
	$(MAKE) install-do
.PHONY: install-do
install-do: $(BINARY) $(MAN1PAGES)
	install -dm755 $(DESTDIR)$(BINDIR)
	install -Tm755 $(BINARY) $(DESTDIR)$(BINDIR)/$(BINARY)
ifeq ($(ENABLE_DOC), y)
	install -dm755 $(DESTDIR)$(MAN1DIR)
	install -m644 -t $(DESTDIR)$(MAN1DIR) $(MAN1PAGES)
endif

distclean: clean
	rm -f config.h

clean:
	rm -f src/*.o src/*.d doc/*.1

$(CURDIR)/doc $(CURDIR)/src:
	mkdir -p $@

$(OBJECTS): Makefile config.h | $(CURDIR)/src
$(MAN1PAGES): $(CURDIR)/doc

-include src/*.d

=== debian/changelog ===
netevent (2.2.2-1) unreleased; urgency=medium

  * Maintenance release to fix builds with newer stricter compilers.

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100

netevent (2.2.1-1) unreleased; urgency=medium

  * Writing outputs and grabbing input is now managed separately.
  * The `grab` command is deprecated and split into the following two new
    commands:
    * `grab-devices` for input device grabbing.
    * `write-events` for sending the events.
  * support out of tree builds
  * Added --version/-V command line option

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100

netevent (2.1+git-1~local) unstable; urgency=medium

  * Non-maintainer upload.
  * Updates rule to adapt to non-standard configure script.
  * Bump debhelper compat level to 12.
  * Switch to source format 3.0.
  * Add missing misc:Depends.
  * Update copyright years.
  * Bumped Standards-Version to 4.5.0 (no changes required).
  * Add watch file.
  * Use Python 3 docutils by default since Python 2 is being dropped in
    Debian.
  * add README.source.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 23 Apr 2020 01:41:41 +0900

netevent (2.0-1) unstable; urgency=medium

  * Initial release

 -- Wolfgang Bumiller <wry.git@bumiller.com>  Sun, 24 Dec 2017 10:57:35 +0100

=== archlinux/PKGBUILD ===
_pkgbase=netevent
pkgname=netevent-git
pkgver=59c40a7
pkgrel=1
pkgdesc="Event device viewing/cloning utility"
url="https://github.com/Blub/netevent"
arch=('i686' 'x86_64')
license=('GPL')
depends=()
makedepends=('python-docutils')
source=("git+https://github.com/Blub/netevent.git")
sha256sums=('SKIP')

pkgver() {
  cd "${srcdir}/netevent"
  git describe --always
}

prepare() {
  cd "$srcdir/$_pkgbase"
  ./configure --prefix=/usr
}

build() {
  cd "$srcdir/$_pkgbase"
  make
}

package() {
  cd "$srcdir/$_pkgbase"
  make DESTDIR="$pkgdir" install
}

=== debian/control ===
Source: netevent
Section: utils
Priority: optional
Maintainer: Wolfgang Bumiller <wry.git@bumiller.com>
Build-Depends:
 debhelper-compat (= 12),
 python3-docutils | python-docutils
Standards-Version: 4.5.0
Homepage: https://github.com/Blub/netevent

Package: netevent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to clone event devices
 This tool allows inspecting the input events created by event devices as well
 as cloning/sending such devices to clone them or share them with other
 machines.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

=== debian/watch ===
version=4
https://github.com/Blub/netevent/releases .*/(.*)\.tar\.gz
